# 获取监控检查详情 (/zh/api-reference/endpoint/monitor-check-get)

<!-- agent-signals: reading_time_min: 3 · est_tokens: 3146 · updated: 2026-07-30 -->
Related: [Search（搜索）](/zh/api-reference/endpoint/search.md), [搜索反馈](/zh/api-reference/endpoint/search-feedback.md), [Scrape](/zh/api-reference/endpoint/scrape.md), [批量抓取](/zh/api-reference/endpoint/batch-scrape.md), [获取批量抓取状态](/zh/api-reference/endpoint/batch-scrape-get.md), [取消批量抓取](/zh/api-reference/endpoint/batch-scrape-delete.md)



`GET /monitor/{monitorId}/checks/{checkId}`

获取监控检查

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "description": "监控 ID",
      "in": "path",
      "name": "monitorId",
      "required": true,
      "schema": {
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "description": "监控检查 ID",
      "in": "path",
      "name": "checkId",
      "required": true,
      "schema": {
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "in": "query",
      "name": "limit",
      "schema": {
        "default": 25,
        "maximum": 100,
        "minimum": 1,
        "type": "integer"
      }
    },
    {
      "description": "要跳过的页面结果数。请使用上一响应中的 `next` URL 进行分页。",
      "in": "query",
      "name": "skip",
      "schema": {
        "default": 0,
        "minimum": 0,
        "type": "integer"
      }
    },
    {
      "in": "query",
      "name": "status",
      "schema": {
        "enum": [
          "same",
          "new",
          "changed",
          "removed",
          "error"
        ],
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "data": {
                "allOf": [
                  {
                    "properties": {
                      "actualCredits": {
                        "description": "此次检查最终收取的额度，将在 scrape、crawl 以及所有变更页面判断调用完成后确定。",
                        "nullable": true,
                        "type": "integer"
                      },
                      "billingStatus": {
                        "type": "string"
                      },
                      "createdAt": {
                        "format": "date-time",
                        "type": "string"
                      },
                      "error": {
                        "nullable": true,
                        "type": "string"
                      },
                      "estimatedCredits": {
                        "description": "在 Firecrawl 确定有多少页面发生变更并需要判断之前，为此次检查预留的额度上限。",
                        "nullable": true,
                        "type": "integer"
                      },
                      "finishedAt": {
                        "format": "date-time",
                        "nullable": true,
                        "type": "string"
                      },
                      "id": {
                        "format": "uuid",
                        "type": "string"
                      },
                      "monitorId": {
                        "format": "uuid",
                        "type": "string"
                      },
                      "notificationStatus": {
                        "nullable": true,
                        "type": "object"
                      },
                      "reservedCredits": {
                        "nullable": true,
                        "type": "integer"
                      },
                      "scheduledFor": {
                        "format": "date-time",
                        "nullable": true,
                        "type": "string"
                      },
                      "startedAt": {
                        "format": "date-time",
                        "nullable": true,
                        "type": "string"
                      },
                      "status": {
                        "enum": [
                          "queued",
                          "running",
                          "completed",
                          "failed",
                          "partial",
                          "skipped_overlap"
                        ],
                        "type": "string"
                      },
                      "summary": {
                        "properties": {
                          "changed": {
                            "type": "integer"
                          },
                          "error": {
                            "type": "integer"
                          },
                          "new": {
                            "type": "integer"
                          },
                          "removed": {
                            "type": "integer"
                          },
                          "same": {
                            "type": "integer"
                          },
                          "totalPages": {
                            "type": "integer"
                          }
                        },
                        "type": "object"
                      },
                      "targetResults": {
                        "nullable": true,
                        "type": "array"
                      },
                      "trigger": {
                        "enum": [
                          "scheduled",
                          "manual"
                        ],
                        "type": "string"
                      },
                      "updatedAt": {
                        "format": "date-time",
                        "type": "string"
                      }
                    },
                    "type": "object"
                  },
                  {
                    "properties": {
                      "next": {
                        "description": "用于获取下一页监控检查页面结果的 URL（如果有）。",
                        "nullable": true,
                        "type": "string"
                      },
                      "pages": {
                        "items": {
                          "properties": {
                            "createdAt": {
                              "format": "date-time",
                              "type": "string"
                            },
                            "currentScrapeId": {
                              "format": "uuid",
                              "nullable": true,
                              "type": "string"
                            },
                            "diff": {
                              "description": "页面发生变更时的内联 diff 产物。其结构取决于监控的 scrapeOptions.formats 请求了哪些内容。仅 markdown 的监控会同时填充 `text`（统一 diff）和 `json`（parseDiff AST）。JSON 提取监控会将 `json` 填充为按 JSON 路径作为键的逐字段 `{previous, current}` 映射。混合模式监控（`changeTracking` 同时使用 `json` 和 `git-diff` 模式）会同时填充 `text`（markdown sidecar）和 `json`（逐字段 diff）。",
                              "nullable": true,
                              "properties": {
                                "json": {
                                  "description": "对于仅 markdown 的监控，为 parseDiff AST `{ files: [...] }`。对于 JSON 提取监控（及混合模式监控），为按提取结果中的 JSON 路径作为键的逐字段 `{ previous, current }` 映射（例如 `plans[0].price`）。",
                                  "type": "object"
                                },
                                "text": {
                                  "description": "统一的 markdown diff。仅 markdown 监控和混合模式监控中会提供。",
                                  "type": "string"
                                }
                              },
                              "type": "object"
                            },
                            "error": {
                              "nullable": true,
                              "type": "string"
                            },
                            "id": {
                              "format": "uuid",
                              "type": "string"
                            },
                            "judgment": {
                              "nullable": true,
                              "properties": {
                                "confidence": {
                                  "enum": [
                                    "high",
                                    "medium",
                                    "low"
                                  ],
                                  "type": "string"
                                },
                                "meaningful": {
                                  "description": "该变更页面是否对监控目标有实际意义。",
                                  "type": "boolean"
                                },
                                "meaningfulChanges": {
                                  "description": "由判断器从页面 diff 中选出的与目标相关的变更。",
                                  "items": {
                                    "properties": {
                                      "after": {
                                        "nullable": true,
                                        "type": "string"
                                      },
                                      "before": {
                                        "nullable": true,
                                        "type": "string"
                                      },
                                      "reason": {
                                        "type": "string"
                                      },
                                      "type": {
                                        "enum": [
                                          "added",
                                          "removed",
                                          "changed"
                                        ],
                                        "type": "string"
                                      }
                                    },
                                    "type": "object"
                                  },
                                  "type": "array"
                                },
                                "reason": {
                                  "type": "string"
                                }
                              },
                              "type": "object"
                            },
                            "metadata": {
                              "description": "额外的逐页元数据。对于搜索监控，这包括 `searchStatus`，即顶层 `status` 之下更细粒度的搜索状态：`alert`（映射为 `new`）、`already_seen`、`watching`、`ignored`（均映射为 `same`）或 `skipped`（映射为 `error`）。",
                              "nullable": true,
                              "type": "object"
                            },
                            "previousScrapeId": {
                              "format": "uuid",
                              "nullable": true,
                              "type": "string"
                            },
                            "snapshot": {
                              "description": "本次运行中当前 JSON 提取结果的快照。存在于 JSON 提取监控和混合模式监控中；仅 markdown 的监控中不存在。",
                              "nullable": true,
                              "properties": {
                                "json": {
                                  "description": "本次运行提取出的完整结构化 JSON，与目标 `changeTracking` 格式中声明的 schema/prompt 一致。",
                                  "type": "object"
                                }
                              },
                              "type": "object"
                            },
                            "status": {
                              "enum": [
                                "same",
                                "new",
                                "changed",
                                "removed",
                                "error"
                              ],
                              "type": "string"
                            },
                            "statusCode": {
                              "nullable": true,
                              "type": "integer"
                            },
                            "targetId": {
                              "type": "string"
                            },
                            "url": {
                              "format": "uri",
                              "type": "string"
                            }
                          },
                          "type": "object"
                        },
                        "type": "array"
                      }
                    },
                    "type": "object"
                  }
                ]
              },
              "next": {
                "description": "用于获取下一页监控检查页面结果的 URL（如果有）。",
                "nullable": true,
                "type": "string"
              },
              "success": {
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "监控检查详情"
    },
    "404": {
      "description": "未找到监控检查"
    }
  }
}
```
